/*
* Copyright 2010,2013 EUROPEAN UNION
* Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
* the European Commission - subsequent versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the Licence.
* You may obtain a copy of the Licence at:
*
* http://ec.europa.eu/idabc/eupl
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the Licence is distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the Licence for the specific language governing permissions and
* limitations under the Licence.
*
* Date: 06/02/2014
* Authors: European Commission, Joint Research Centre
* Daniele Francioli, Emanuela Epure
* inspire-registry-info@jrc.ec.europa.eu
*
* This work was supported by the EU  Interoperability Solutions for
* European Public Administrations Programme (http://ec.europa.eu/isa)
* through Action 1.17: Re-usable INSPIRE Reference Platform 
* (http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).
*/

package eu.europa.ec.re3gistry.constants;

public class EntityNames {

    //Table name
    public static final String ENTITY_CHANGELOG = "Changelog";
    public static final String ENTITY_CUSTOMATTRIBUTE = "Customattribute";
    public static final String ENTITY_CUSTOMATTRIBUTECODE = "Customattributecode";
    public static final String ENTITY_CUSTOMATTRIBUTEVALUE = "Customattributevalue";
    public static final String ENTITY_ITEM = "Item";
    public static final String ENTITY_CLASS = "Itemclass";
    public static final String ENTITY_ITEMCLASS_CUSTOMATTRIBUTE = "ItemclassCustomattribute";
    public static final String ENTITY_LANGUAGECODE = "Languagecode";
    public static final String ENTITY_LOCALIZATION = "Localization";
    public static final String ENTITY_REGISTER = "Register";
    public static final String ENTITY_REGISTRY = "Registry";
    public static final String ENTITY_STATUS = "Status";
    public static final String ENTITY_EXTERNAL_REFERENCE = "ExternalReference";
}