﻿var baseurl="http://inspire.ec.europa.eu";
var searchUrl="http://localhost:8080/apache-solr-4.0.0/collection1/select";
var autocompleteUrl="http://localhost:8080/apache-solr-4.0.0/collection1/select";
var jsstat=false;
var jsstaturl="vwb-webcf.ies.jrc.it";
var jsstatid="1";

checkViewport();

$( window ).on( "orientationchange", function( event ) {
	checkViewport();
})

$(document).ready(function(){	
	$('#tbl').dataTable({
		"bJQueryUI": true,
		"sPaginationType": "full_numbers",
		"iDisplayLength": 50,
		"oLanguage": {
			"sUrl": baseurl+"/res/js/data-table-languages/"+lng+".json"
		}		
	});

	$.getJSON(baseurl+'/registry/service/getSessionLang.php', function(data) {
		a = data.lang;
		if(a==null || a==''){
			a = $('html').attr('lang');
			$.getJSON(baseurl+'/registry/service/switch.php?lang='+a, function(data) {});
		}
		
		if(a!=null && a!='' && a!=$('html').attr('lang')){
			$('html').attr("lang",a);
			var u = location.href;			
			u = (u.indexOf("#")>0) ? u.substring(0,u.indexOf("#")) : u;
			u = (u.indexOf("?")>0) ? u.substring(0,u.indexOf("?")) : u;
			var u1 = u.substring(0,u.lastIndexOf("/"));
			var u2 = u1.substring(u1.lastIndexOf("/")+1);
			var u3=u+u2+"."+a+".html";
			
			u3=u3.replace("codeList","codelist");
			u3=u3.replace("applicationSchema","applicationschema");
			
			if(u3.indexOf("/registry/extensibility")>0){
				u3=baseurl+"/registry/extensibility/getlang/extensibility."+a+".html";
			}
			
			if(u3.indexOf("/registry/status")>0){
				u3=baseurl+"/registry/status/getlang/status."+a+".html";
			}
	
			var check = /\/reference$/			
			if(check.test(u)){
				u3=baseurl+"/registry/reference/"+u2+"/"+u2+"."+a+".html";
			}
			
			$('body').load(u3);
		}
	});
	
	$("#lngm").val($("html").attr("lang"));
	$("title").html($("article.exp h2").text());
	
	
	
	$(".dxbox").mouseenter(function(){
	$(this).filter(':not(:animated)').animate({width:'150px'}, 200);
	});
	$(".dxbox").mouseleave(function(){
	$(this).animate({width:'0px'}, 200);
	});

	$(".searchb").click(function(){
	location.href=baseurl+'/registry/search/'
	});
	
	$(".help").click(function(){
		//popup('widget', baseurl+'/registry/support/help.en.html', 700, 600);
		helpDialog.load(baseurl+'/registry/support/help.'+lng+'.html').dialog('open');
	});

	$(".feedback").click(function(){
		//popup('widget', baseurl+'/useresponse/registry/widget?type=search', 600, 400);
		fdbDialog.load(baseurl+'/useresponse/registry/widget?type=search').dialog('open');
	});

	$(".rss").click(function(){
	location.href=baseurl+'/registry/rss/'
	});
	$("#about").click(function(){
		//popup('widget',baseurl+'/registry/support/about.'+$('html').attr('lang')+'.html',700, 600);
		aboutDialog.load(baseurl+'/registry/support/about.'+lng+'.html').dialog('open');
    });
	
	
	var helpDialog = $("#helpd").dialog({autoOpen:false,height:500,width:650,modal:true});
	var aboutDialog = $("#aboutd").dialog({autoOpen:false,height:500,width:650,modal:true});
	var fdbDialog = $("#fdbd").dialog({autoOpen:false,height:500,width:650,modal:true});
	
});

function sc(){
	var str="";
	$("select#lngm option:selected").each(function (){str=$(this).val()});
	if(str!=$("html").attr("lang")){
		$.ajax({
			url: baseurl+"/registry/service/switch.php?lang="+str,
			success: function(){
				window.location.reload()
			}
		});
	}
}

function checkViewport(){
	if ($(window).width() < 1080) { $('meta[name=viewport]').attr('content','initial-scale=0.54'); }
}


