<%@page import="eu.europa.ec.re3gistry.model.Languagecode"%>
<%@page import="eu.europa.ec.re3gistry.model.Localization"%>
<%@page import="eu.europa.ec.re3gistry.model.Itemclass"%>
<%@page import="eu.europa.ec.re3gistry.model.Item"%>
<%@page import="eu.europa.ec.re3gistry.model.Register"%>
<%@page import="javax.persistence.Query"%>
<%@page import="java.util.List"%>
<%@page import="javax.persistence.EntityManager"%>
<%@page import="javax.persistence.Persistence"%>
<%@page import="eu.europa.ec.re3gistry.re3gistryimport.manager.Configuration"%>
<%@page import="javax.persistence.EntityManagerFactory"%>
<%
    //Getting required parameter
    String regUUID = request.getParameter("reg");

    //Loading required properties
    String KEY_PERSISTENCE_UNIT_NAME = "persistence.unit.name";
    EntityManagerFactory factory;
    String persistenceUnitName = Configuration.getInstance().getProperty(KEY_PERSISTENCE_UNIT_NAME, "Re3gistry");
    //Istantiating persistence manager
    factory = Persistence.createEntityManagerFactory(persistenceUnitName);
    EntityManager em = factory.createEntityManager();
    
    //Getting the current Register
    Query q = em.createNamedQuery("Register.findByUuid");
    q.setParameter("uuid", regUUID);
    Register reg = (Register)q.getSingleResult();
    
    //Getting Itemclasses for the current Register
    q = em.createNamedQuery("Itemclass.findByRegister");
    q.setParameter("register", reg);
    List<Itemclass> r = (List<Itemclass>) q.getResultList();
    

    //Getting the current language
    //@TODO: set it dynamic
    q = em.createNamedQuery("Languagecode.findByUuid");
    q.setParameter("uuid", "1");
    Languagecode lc = (Languagecode)q.getSingleResult();

    if (r.size() > 0) {
%>
<label for="itemclass">Select the item class for the import</label>
<ul>
    <%
        boolean nextItemClass = true;
        for (int i = 0; i < r.size(); i++) {
            Itemclass it = r.get(i);
            
            //Getting Localization for the current element
            q = em.createNamedQuery("Localization.findByItemclassLanguagecode");
            q.setParameter("itemclass", it);
            q.setParameter("language", lc);
            Localization l = (Localization)q.getSingleResult();
            
            q = em.createNamedQuery("Item.findByRegisterItemclass");
            q.setParameter("itemclass", it);
            q.setParameter("register", reg);
            List <Item>items = (List<Item>)q.getResultList();
            
            if(nextItemClass){    
                %><li><input type="radio" name="itemclass" value="<%=it.getUuid()%>"/>&nbsp;&nbsp;<%= l.getLabel() %></li><%
            }else{
                %>
                <li class="disabled">
                    <input title="In order to import these elements, you have first to inport the previous one." disabled="disabled" type="radio" name="itemclass" value="<%=it.getUuid()%>"/>&nbsp;&nbsp;<%= l.getLabel() %>
                    <span class="tt" title="In order to import elements in this item class, you have firstly to import the element in the previous item class.">&nbsp;</span>
                </li>
                <%
            }
            
            if(items.size()==0){
                nextItemClass=false;
            }else{
                nextItemClass=true;
            }
        }
    %>
</ul>
<%
} else {
%><p class="e">There are no item classes for this register; no import can be performed. You have firstly to create an item class in the db</p><%    }
%>